import { ChangeDetectorRef, ElementRef, QueryList } from '@angular/core';
import { IgxSelectionAPIService } from '../core/selection';
import { IgxDropDownItemComponent } from './drop-down-item.component';
import { IgxDropDownBase, IgxDropDownItemBase } from './drop-down.base';
export declare class IgxDropDownItemNavigationDirective {
    dropdown: IgxDropDownBase;
    private _target;
    constructor(dropdown: IgxDropDownBase);
    /**
     * @hidden
     */
    /**
    * @hidden
    */
    target: IgxDropDownBase;
    handleFocus(): void;
    /**
     * @hidden
     */
    handleKeyDown(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    onEscapeKeyDown(event: any): void;
    /**
     * @hidden
     */
    onSpaceKeyDown(event: any): void;
    /**
     * @hidden
     */
    onEnterKeyDown(event: any): void;
    /**
     * @hidden
     */
    onArrowDownKeyDown(event: any): void;
    /**
     * @hidden
     */
    onArrowUpKeyDown(event: any): void;
    /**
     * @hidden
     */
    onEndKeyDown(event: any): void;
    /**
     * @hidden
     */
    onHomeKeyDown(event: any): void;
}
/**
 * **Ignite UI for Angular DropDown** -
 * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/drop-down.html)
 *
 * The Ignite UI for Angular Drop Down displays a scrollable list of items which may be visually grouped and
 * supports selection of a single item. Clicking or tapping an item selects it and closes the Drop Down
 *
 * Example:
 * ```html
 * <igx-drop-down>
 *   <igx-drop-down-item *ngFor="let item of items" disabled={{item.disabled}} isHeader={{item.header}}>
 *     {{ item.value }}
 *   </igx-drop-down-item>
 * </igx-drop-down>
 * ```
 */
export declare class IgxDropDownComponent extends IgxDropDownBase {
    protected elementRef: ElementRef;
    protected cdr: ChangeDetectorRef;
    protected selection: IgxSelectionAPIService;
    protected children: QueryList<IgxDropDownItemBase>;
    constructor(elementRef: ElementRef, cdr: ChangeDetectorRef, selection: IgxSelectionAPIService);
    protected changeSelectedItem(newSelection?: IgxDropDownItemComponent): boolean;
}
/**
 * @hidden
 */
export declare class IgxDropDownModule {
}
export { ISelectionEventArgs } from './drop-down.common';
